Subject: Re: Agenda so far...
From: Alexey Melnikov <[email-masked]>
To: IMAP WG <[email-masked]>
Date: Thu, 21 Jul 2005 11:55:14 +0100
List-Id: <ietf-imapext.imc.org>

Lisa Dusseault wrote:

> I'm afraid the agenda for the Paris meeting isn't complete yet (or at  
> least I think it isn't) but here's what I've got so far:
>
>
> 20 min -- Issues remaining with IMAPABNF  
> (draft-melnikov-imap-ext-abnf-02.txt)
>  - use of common syntax for all extension elements

Note that I've already done this, so we need to discuss if people like 
it the old way.

>  - which extended commands should be listed (suggestion to add CREATE 
> and  maybe ESEARCH response)

I've already added CREATE to the document.

>  - discussion about wording requirements on future documents
> 20 min -- Issues remaining with ListExt
> - quick review of LIST-EXTENDED extensibility
> - interaction of REMOTE with RECURSIVEMATCH
> - are there any other issues that need to be addressed?
>
> If there are any additions, Pete will have to submit to 
> [email-masked]  because i'm about to go on vacation (in Paris, 
> naturally) until Jul 31.

Date: Tue, 19 Jul 2005 16:45:08 -0400
From: Cyrus Daboo <[email-masked]>
To: Lisa Dusseault <[email-masked]>, IMAP WG <[email-masked]>
Subject: Re: Agenda so far...
Sender: [email-masked]

Hi Lisa,

--On July 19, 2005 1:21:18 PM -0700 Lisa Dusseault <[email-masked]> 
wrote:

> I'm afraid the agenda for the Paris meeting isn't complete yet (or at
> least I think it isn't) but here's what I've got so far:

Please note that I did submit an updated ANNOTATE document a while ago with 
changes from the last call incorporated. This document needs to be reviewed 
again and a determination made as to whether another last call is needed 
(given the scope of the changes) or whether it can progress. In any case it 
should have a slot on the agenda.

-- 
Cyrus Daboo

To: "IMAP WG" <[email-masked]>
Subject: Agenda so far...
Date: Tue, 19 Jul 2005 13:21:18 -0700
From: "Lisa Dusseault" <[email-masked]>
Organization: OSAF
Sender: [email-masked]

I'm afraid the agenda for the Paris meeting isn't complete yet (or at  
least I think it isn't) but here's what I've got so far:

20 min -- Issues remaining with IMAPABNF  
(draft-melnikov-imap-ext-abnf-02.txt)
  - use of common syntax for all extension elements
  - which extended commands should be listed (suggestion to add CREATE and  
maybe ESEARCH response)
  - discussion about wording requirements on future documents
20 min -- Issues remaining with ListExt
- quick review of LIST-EXTENDED extensibility
- interaction of REMOTE with RECURSIVEMATCH
- are there any other issues that need to be addressed?

If there are any additions, Pete will have to submit to [email-masked]  
because i'm about to go on vacation (in Paris, naturally) until Jul 31.

thx,
Lisa

Content-class: urn:content-classes:message
Subject: =?iso-8859-1?Q?RE=3A_Friends_of_IMAP_Dinner_at_the_=CElot_Vache__Thursday?= =?iso-8859-1?Q?_evening=3F?=
Date: Mon, 18 Jul 2005 10:47:00 -0500
From: <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Sender: [email-masked]

I'll be there as well.

Corby Wilson

 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of ext 
> Arnt Gulbrandsen
> Sent: Friday, July 15, 2005 06:59 AM
> To: [email-masked]
> Subject: Re: Friends of IMAP Dinner at the Îlot Vache 
> Thursday evening?
> 
> 
> Philip Guenther writes:
> > Barry Leiba <[email-masked]> writes:
> >> I'm coming, and I'm in -- Thursday night sounds good. How 
> 'bout the 
> >> rest of y'all? Alexey? Lisa? Who else?
> >
> > Works for me. Does that work for you, Arnt?
> 
> We have about seven or eight people so far. I've reserved a table for 
> «up to 12», and I promised to pop in a few days before and give them 
> the correct number.
> 
> Arnt
> 
> 

Date: Fri, 15 Jul 2005 08:58:16 -0800
From: Mark Crispin <[email-masked]>
To: Terry Gray <[email-masked]>
cc: Cyrus Daboo <[email-masked]>, IETF IMAP Extensions WG <[email-masked]>
Subject: Re: =?UTF-8?Q?Re:_Friends_of_IMAP_Dinner_at_the_=C3=8Elot_Vache__Thursda?= =?UTF-8?Q?y_evening=3F?=
Organization: Networks & Distributed Computing
Sender: [email-masked]

On Fri, 15 Jul 2005, Terry Gray wrote:
>> Do they do take out? If so I would like to place my order now and then
>> participate from Pittsburgh via Jabber :-)
> Me too... except "Seattle" rather than "Pittsburgh", of course :)

Me three, except "Alaska"... :-)

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.

Date: Fri, 15 Jul 2005 08:26:42 -0700 (Pacific Standard Time)
From: Terry Gray <[email-masked]>
To: Cyrus Daboo <[email-masked]>
cc: IETF IMAP Extensions WG <[email-masked]>
Subject: Re: =?UTF-8?Q?Re:_Friends_of_IMAP_Dinner_at_the_=C3=8Elot_Vache__Thursda?= =?UTF-8?Q?y_evening=3F?=
Slogan: "Pandora and I are on a first-name basis."
Organization: University of Washington;  Computing & Communications
Sender: [email-masked]

> Do they do take out? If so I would like to place my order now and then
> participate from Pittsburgh via Jabber :-)

Me too... except "Seattle" rather than "Pittsburgh", of course :)

-teg

Date: Fri, 15 Jul 2005 09:37:35 -0400
From: Cyrus Daboo <[email-masked]>
To: Arnt Gulbrandsen <[email-masked]>, [email-masked]
Subject: =?UTF-8?Q?Re:_Friends_of_IMAP_Dinner_at_the_=C3=8Elot_Vache__Thursda?= =?UTF-8?Q?y_evening=3F?=
Sender: [email-masked]

Hi Arnt,

--On July 15, 2005 12:58:48 PM +0200 Arnt Gulbrandsen 
<[email-masked]> wrote:

>> Works for me. Does that work for you, Arnt?
>
> We have about seven or eight people so far. I've reserved a table for
> Â«up to 12Â», and I promised to pop in a few days before and give them
> the correct number.

Do they do take out? If so I would like to place my order now and then 
participate from Pittsburgh via Jabber :-)

-- 
Cyrus Daboo

Date: Fri, 15 Jul 2005 12:58:48 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Re: Friends of IMAP Dinner at the =?iso-8859-1?q?=CElot?= Vache Thursday evening?
Sender: [email-masked]

Philip Guenther writes:
> Barry Leiba <[email-masked]> writes:
>> I'm coming, and I'm in -- Thursday night sounds good. How 'bout the 
>> rest of y'all? Alexey? Lisa? Who else?
>
> Works for me. Does that work for you, Arnt?

We have about seven or eight people so far. I've reserved a table for 
«up to 12», and I promised to pop in a few days before and give them 
the correct number.

Arnt

Date: Fri, 15 Jul 2005 12:10:49 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Re: Friends of IMAP Dinner at the =?iso-8859-1?q?=CElo?= Vache Thursday evening?
Cc: Dave Cridland <[email-masked]>
Sender: [email-masked]

Dave Cridland writes:
> On Mon Jul 11 11:48:07 2005, Arnt Gulbrandsen wrote:
>> who's coming to the IETF?
>
> Me.

Oh, fine. (Isnt't it lovely to have an IETF outside Festung Amerika? ;)

>>  Who wants to come?
>
> Me, too.

Makes seven so far, I think? FYI, if noone protests strenumously, my 
wife comes too. She's a tech, but not an IMAP-head... except insofar as 
listening to years of me... well... *blush*

Arnt

Date: Fri, 15 Jul 2005 10:04:40 +0100
Subject: Re: Friends of IMAP Dinner at the =?ISO-8859-1?B?zmxv?= Vache Thursday evening?
From: Dave Cridland <[email-masked]>
To: Arnt Gulbrandsen <[email-masked]>
Cc: <[email-masked]>
Sender: [email-masked]

On Mon Jul 11 11:48:07 2005, Arnt Gulbrandsen wrote:
> who's coming to the IETF?

Me.

>  Who wants to come?

Me, too.

Dave.

To: Barry Leiba <[email-masked]>
Cc: [email-masked], Arnt Gulbrandsen <[email-masked]>
Subject: Re: Friends of IMAP Dinner at the =?ISO-8859-1?Q?=CElot_Vache_?= =?ISO-8859-1?Q?Thursday__evening=3F?= 
Date: Thu, 14 Jul 2005 21:15:24 -0700
From: Philip Guenther <[email-masked]>
Sender: [email-masked]

Barry Leiba <[email-masked]> writes:
>I'm coming, and I'm in -- Thursday night sounds good.
>How 'bout the rest of y'all?  Alexey?  Lisa?  Who else?

Works for me.  Does that work for you, Arnt?

Philip Guenther

Date: Thu, 14 Jul 2005 23:47:23 -0400
From: Tony Hansen <[email-masked]>
CC: [email-masked]
Subject: Re: Friends of IMAP Dinner at the =?ISO-8859-1?Q?=CElot_Vache_?= =?ISO-8859-1?Q?Thursday__evening=3F?=
Sender: [email-masked]

I'm in!

Barry Leiba wrote:
> 
> I'm coming, and I'm in -- Thursday night sounds good.
> How 'bout the rest of y'all?  Alexey?  Lisa?  Who else?

Date: Thu, 14 Jul 2005 22:45:57 -0400
From: Barry Leiba <[email-masked]>
To: [email-masked]
CC: Arnt Gulbrandsen <[email-masked]>
Subject: Re: Friends of IMAP Dinner at the =?ISO-8859-1?Q?=CElot_Vache_?= =?ISO-8859-1?Q?Thursday__evening=3F?=
Sender: [email-masked]

I'm coming, and I'm in -- Thursday night sounds good.
How 'bout the rest of y'all?  Alexey?  Lisa?  Who else?

Barry

--
Barry Leiba, Pervasive Computing Technology  ([email-masked])
http://www.research.ibm.com/people/l/leiba
http://www.research.ibm.com/spam

To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-imapext-i18n-05.txt 
Date: Thu, 14 Jul 2005 15:50:03 -0400
Sender: [email-masked]

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Message Access Protocol Extension Working Group of the IETF.

	Title		: Internet Message Access Protocol Internationalization
	Author(s)	: C. Newman, et al.
	Filename	: draft-ietf-imapext-i18n-05.txt
	Pages		: 16
	Date		: 2005-7-14
	
Internet Message Access Protocol (IMAP) version 4rev1 has basic
    support for non-ASCII characters in mailbox names and search
    substrings.  It also supports non-ASCII message headers and content
    encoded as specified by Multipurpose Internet Mail Extensions
    (MIME).  This specification defines a collection of IMAP extensions
    which improve international support including comparator negotiation
    for search, sort and thread, language negotiation for international
    error text, and translations for namespace prefixes.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-imapext-i18n-05.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-imapext-i18n-05.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-imapext-i18n-05.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-imapext-i18n-05.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-imapext-i18n-05.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

Date: Mon, 11 Jul 2005 14:35:57 +0100
Subject: Re: collation draft
From: Dave Cridland <[email-masked]>
To: Arnt Gulbrandsen <[email-masked]>
Cc: <[email-masked]>
Sender: [email-masked]

On Mon Jul 11 13:47:51 2005, Arnt Gulbrandsen wrote:
> The updated collation draft is there. Took a couple of iterations 
> to get it published. Let me know if there's anything you dislike.

Speaking in my capacity as probably the only active ACAP implementor 
left, which I appreciate is probably off-topic here...

Section 4.3, second para, last sentence:

"If both strings are invalid, the result SHOULD match the result from 
the "i;octet" collation." - this requirement break with ACAP, which 
for ordering has the option of using multiple comparators. 
Specifically, ACAP would want the both-strings-invalid case to return 
"0".

Many protocols probably will require a fallback collation, hence my 
feeling is that a protocol MUST specify whether a default/fallback 
collation is used, and, if so, how. (eg, IMAP might specify that the 
default collation is effectively i;ascii-numeric on the UID, ACAP 
specifies none.)

Section 4.3 also states that the ordering reverses completely with 
the "-" prefix - that's not quite the case in ACAP, but I can't 
decide whether that's the case here or not - with my background, I 
read ACAP-like behaviour into 4.3's second paragraph, where it talks 
of "end of the list", etc. In ACAP, the invalid values appear after 
valid values regardless of whether "-" or "+" has been used. It's 
possible to use this behaviour constructively, using:

COMPARESTRICT "attribute-name" "-i;ascii-numeric" "0"

to extract all values for an attribute which are non-numeric. This is 
bizarre, but possible.

Section 6: ACAP allows "i;octet" on any attribute value, which is 
simply a sequence of octets. It might be UTF-8, it might be 
image/gif, there's no way to know for sure. So while the sentence 
"These protocols allow..." is technically correct, it's not the whole 
picture. Some note indicating ACAP uses special handling for 
multi-valued attributes might be in order.

Misc:

There's no mention of how to handle missing values, either. ACAP uses 
NIL extensively, and there are probably other application protocols 
that might. Certainly if an RDBMS picked this concept up, then this 
would be important to handle correctly. I would most prefer to see an 
"either NIL/NULL is special, or else it is equivalent to the empty 
string" rule in place.

Dave.

Date: Mon, 11 Jul 2005 14:23:57 +0100
From: Alexey Melnikov <[email-masked]>
To: IMAP Extensions WG <[email-masked]>
Subject: Suggested agenda items
Sender: [email-masked]

Hi everyone,
Below I list some potential discussion topics for the IMAPEXT meeting in 
Paris.

20 min -- Issues remaining with IMAPABNF 
(draft-melnikov-imap-ext-abnf-02.txt)
  - use of common syntax for all extension elements
  - which extended commands should be listed (suggestion to add CREATE 
and maybe ESEARCH response)
  - discussion about wording requirements on future documents
20 min -- Issues remaining with ListExt
 - quick review of LIST-EXTENDED extensibility
 - interaction of REMOTE with RECURSIVEMATCH
 - are there any other issues that need to be addressed?

Cheers,
Alexey

Date: Mon, 11 Jul 2005 14:47:51 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: collation draft
Sender: [email-masked]

The updated collation draft is there. Took a couple of iterations to get 
it published. Let me know if there's anything you dislike.

Fool that I am, I forgot to submit imapext-i18n at the same time. There 
are no substantive changes to the expired draft, though. Will submit it 
later today.

Arnt

Date: Mon, 11 Jul 2005 12:48:07 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Friends of IMAP Dinner at the =?iso-8859-1?q?=CElot?= Vache Thursday evening?
Sender: [email-masked]

Hi,

who's coming to the IETF? Who wants to come?

What I was told: «L'Îlot Vache is a fine restaurant, not expensive by 
Paris standards, not cheap by any standards, with enjoyable French food 
and a fine wine list.» It's located at the Île St. Louis, which is the 
smaller island just upstream from the Nôtre Dame.

Arnt

From: The IESG <[email-masked]>
To: IETF-Announce <[email-masked]>
Cc: Internet Architecture Board <[email-masked]>, RFC Editor <[email-masked]>, imapext mailing list <[email-masked]>, imapext chair <[email-masked]>, imapext chair <[email-masked]>
Subject: Protocol Action: 'IMAP4 ACL extension' to Proposed Standard 
Date: Thu, 07 Jul 2005 11:28:17 -0400
Sender: [email-masked]

The IESG has approved the following document:

- 'IMAP4 ACL extension '
   <draft-ietf-imapext-2086upd-08.txt> as a Proposed Standard

This document is the product of the Internet Message Access Protocol Extension Working Group. 

The IESG contact persons are Scott Hollenbeck and Ted Hardie.

A URL of this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-imapext-2086upd-08.txt

Technical Summary
 
The ACL (Access Control List) extension (RFC 2086) of the Internet
Message Access Protocol (IMAP) permits mailbox access control
lists to be retrieved and manipulated through the IMAP protocol.
This document is a revision of RFC 2086. It defines several new
access control rights and clarifies which rights are required for
different IMAP commands.
 
Working Group Summary
 
The document has been reviewed by key working group members and
implementers.  Consensus was reached, and there are no known
issues risking appeal.
 
Protocol Quality
 
Scott Hollenbeck has reviewed this specification for the IESG.

Date: Thu, 07 Jul 2005 15:17:32 +0100
From: Alexey Melnikov <[email-masked]>
To: Philip Guenther <[email-masked]>
CC: IMAP Extensions WG <[email-masked]>
Subject: Re: comments on IMAP-ABNF extensions draft -02
Sender: [email-masked]

Philip Guenther wrote:

>     tagged-ext      = atom SP tagged-ext-val
>                         ;; recommended overarching syntax for
>                         ;; extensions
>
>     tagged-ext-val  = astring /
>                       "(" tagged-ext-val *(SP tagged-ext-val) ")"
>                         ;; extensions that follow this general syntax
>                         ;; should use nstring instead of astring when
>                         ;; appropriate in the context of the extension
><< or should this just say astring / nstring / "(" ...? >>

IMHO, I prefer your comment about astring versa nstring.

>The key difference between this and the current draft is that where this
>syntax permits something beyond RFC 3501, it's because of (and tied to)
>a previously published extension, period.  There's no need of a "MUST be
>rejected with a BAD" clause for unknown extensions, because they don't
>match the syntax, period.
>
>IMHO, the tagged-ext syntax (or something similarly simple) is Good
>Enough to be referenced by FETCH, STORE, SELECT, and SEARCH too.
>
(After thinking more about this.)

The syntax for SELECT was previously defined in ANNOTATE. It is more
restrictive than the syntax used for STORE/SEARCH, but it is a proper
subset of the latter. As ANNOTATE haven't been published yet, I suggest
to use the same syntax for SELECT, STORE and SEARCH.

The syntax for FETCH modifiers was originally defined in CONDSTORE. It
uses pretty much the same syntax as STORE/SEARCH parameters, except for
not allowing for empty "()". So using the same syntax for FETCH
modifiers, as used for STORE/SEARCH parameters shouldn't be a problem
either.

So, in short I support Philip's suggestion to use the same syntax for
all extension parameters. Thoughts?

>It certainly appears to cover the already scoped extensions for CONDSTORE,
>ANNOTATE, and several others. Using a single syntax for extensions to
>commands would make the syntax part of this draft easier to read.  If it
>*isn't* sufficient, then I suspect the Right Thing might be to simply
>say that extensions should consist of a atom as a tag, followed by
>exactly one argument with balanced parenthesis.

Date: Thu, 07 Jul 2005 14:55:28 +0100
From: Alexey Melnikov <[email-masked]>
To: Philip Guenther <[email-masked]>
CC: IMAP Extensions WG <[email-masked]>
Subject: Re: comments on IMAP-ABNF extensions draft -02
Sender: [email-masked]

Philip Guenther wrote:

>On the issue of what this draft should include to make future extensions
>easier to express: it seems unfortunate that RFC 3501's response-data
>rule includes the leading "*" SP and the trailing CRLF, such that
>extensions like ANNOTATEMORE have to duplicate them, ala:
>
>       annotate-data     = "ANNOTATION" SP mailbox SP entry-list
>                           ; empty string for mailbox implies
>                           ; server annotation.
>...
>       response-data     /= "*" SP annotate-data CRLF
>                           ; adds to original IMAP data responses
>
>instead of just
>
>       response-foo      /= "ANNOTATION" SP mailbox SP entry-list
>                           ; empty string for mailbox implies
>                           ; server annotation.
>
>RFC 3501 got it right with resp-text-code; can this draft fix things for
>response-data?  Perhaps:
>
>   response-data = "*" SP resp-data CRLF
>   resp-data     = resp-cond-state / resp-cond-bye / mailbox-data /
>		   message-data / capability-data
>  
>
FYI, I've just made the change you proposed. I've used 
"response-payload" instead of "resp-data".

>Okay, so that's not the greatest pair of names for rules, but you get
>the point.
>
>  
>

Date: Mon, 04 Jul 2005 17:02:34 +0100
From: Alexey Melnikov <[email-masked]>
To: Barry Leiba <[email-masked]>
CC: IMAP WG <[email-masked]>
Subject: LIST-EXTENDED
Sender: [email-masked]

Barry Leiba wrote:

>> just  need revised versions of ListExt and Annotate based on last calls
>
> Yep.  I just have a couple of editorial things from Alexey to put in 
> and I'll be ready for a final (one hopes) cycle on ListExt.  I'll see 
> if I can get that in over the weekend.  The only thing that didn't get 
> resolved was the question of extending the syntax, and since there 
> wasn't a groundswell of support for it I won't make that change.

Should I (or someone else) write a draft that shows how such extension 
to LIST-EXTENDED look like? Seeing such extension should insure that we 
don't have to make incompatible changes to LIST-EXTENDED in the future, 
even if we don't want to extend its syntax to include option parameters now.

Date: Mon, 04 Jul 2005 11:11:05 +0100
From: Alexey Melnikov <[email-masked]>
To: Lisa Dusseault <[email-masked]>
CC: IMAP WG <[email-masked]>
Subject: Re: Status of 2086upd
Sender: [email-masked]

Lisa Dusseault wrote:

>
> Looks like our IESG DISCUSS flags have been cleared, so the 08 version 
> of  2086upd draft is now going to go through the final RFC editing and 
> number  assignment phases.
>
> What's the next document for us to get through?  Have people read the  
> Comparator draft that everything's held up on?  Arnt, got any news for 
> us  on that one?
>
> Remember that the deadlines for revised I-Ds are mid-July.  Don't we 
> just  need revised versions of ListExt and Annotate based on last 
> calls done  this spring, that we can send to IESG?

We might need another Last Call for Annotate, because the list of 
changes was huge.

From: "Scott Hollenbeck" <[email-masked]>
To: "'Lisa Dusseault'" <[email-masked]>, "'IMAP WG'" <[email-masked]>
Subject: RE: Status of 2086upd
Date: Fri, 1 Jul 2005 20:10:54 -0400
Sender: [email-masked]

> -----Original Message-----
> From: Lisa Dusseault [mailto:[email-masked]] 
> Sent: Friday, July 01, 2005 4:07 PM
> To: IMAP WG
> Subject: Status of 2086upd
> 
> 
> Looks like our IESG DISCUSS flags have been cleared, so the 
> 08 version of  
> 2086upd draft is now going to go through the final RFC 
> editing and number  
> assignment phases.

I just approved the document and requested that the Secretariat send the
approval announcement.

-Scott-

Date: Fri, 01 Jul 2005 17:34:26 -0400
From: Barry Leiba <[email-masked]>
To: IMAP WG <[email-masked]>
Subject: Re: Status of 2086upd
Sender: [email-masked]

> just  need revised versions of ListExt and Annotate based on last calls

Yep.  I just have a couple of editorial things from Alexey to put in and 
I'll be ready for a final (one hopes) cycle on ListExt.  I'll see if I 
can get that in over the weekend.  The only thing that didn't get 
resolved was the question of extending the syntax, and since there 
wasn't a groundswell of support for it I won't make that change.

Barry

--
Barry Leiba, Pervasive Computing Technology  ([email-masked])
http://www.research.ibm.com/people/l/leiba
http://www.research.ibm.com/spam

Date: Fri, 1 Jul 2005 23:01:44 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Re: Status of 2086upd
Sender: [email-masked]

Lisa Dusseault writes:
> Have people read the  Comparator draft that everything's held up on?  
> Arnt, got any news for us  on that one?

I did all the things I know about today (three days late, I know, very 
sorry) but I'm drop dead tired. Will submit an updatred draft when I'm 
awake and alert enough to read my diffs.

Arnt

Date: Fri, 01 Jul 2005 13:07:01 -0700
To: "IMAP WG" <[email-masked]>
Subject: Status of 2086upd
From: "Lisa Dusseault" <[email-masked]>
Organization: OSAF
Sender: [email-masked]

Looks like our IESG DISCUSS flags have been cleared, so the 08 version of  
2086upd draft is now going to go through the final RFC editing and number  
assignment phases.

What's the next document for us to get through?  Have people read the  
Comparator draft that everything's held up on?  Arnt, got any news for us  
on that one?

Remember that the deadlines for revised I-Ds are mid-July.  Don't we just  
need revised versions of ListExt and Annotate based on last calls done  
this spring, that we can send to IESG?

Lisa

-- 
Using Opera's revolutionary e-mail client: http://www.opera.com/mail/

Date: Thu, 21 Jul 2005 11:55:14 +0100
From: Alexey Melnikov <[email-masked]>
To: IMAP WG <[email-masked]>
Subject: Re: Agenda so far...
Sender: [email-masked]

Lisa Dusseault wrote:

> I'm afraid the agenda for the Paris meeting isn't complete yet (or at  
> least I think it isn't) but here's what I've got so far:
>
>
> 20 min -- Issues remaining with IMAPABNF  
> (draft-melnikov-imap-ext-abnf-02.txt)
>  - use of common syntax for all extension elements

Note that I've already done this, so we need to discuss if people like 
it the old way.

>  - which extended commands should be listed (suggestion to add CREATE 
> and  maybe ESEARCH response)

I've already added CREATE to the document.

>  - discussion about wording requirements on future documents
> 20 min -- Issues remaining with ListExt
> - quick review of LIST-EXTENDED extensibility
> - interaction of REMOTE with RECURSIVEMATCH
> - are there any other issues that need to be addressed?
>
> If there are any additions, Pete will have to submit to 
> [email-masked]  because i'm about to go on vacation (in Paris, 
> naturally) until Jul 31.

Date: Tue, 19 Jul 2005 16:45:08 -0400
From: Cyrus Daboo <[email-masked]>
To: Lisa Dusseault <[email-masked]>, IMAP WG <[email-masked]>
Subject: Re: Agenda so far...
Sender: [email-masked]

Hi Lisa,

--On July 19, 2005 1:21:18 PM -0700 Lisa Dusseault <[email-masked]> 
wrote:

> I'm afraid the agenda for the Paris meeting isn't complete yet (or at
> least I think it isn't) but here's what I've got so far:

Please note that I did submit an updated ANNOTATE document a while ago with 
changes from the last call incorporated. This document needs to be reviewed 
again and a determination made as to whether another last call is needed 
(given the scope of the changes) or whether it can progress. In any case it 
should have a slot on the agenda.

-- 
Cyrus Daboo

To: "IMAP WG" <[email-masked]>
Subject: Agenda so far...
Date: Tue, 19 Jul 2005 13:21:18 -0700
From: "Lisa Dusseault" <[email-masked]>
Organization: OSAF
Sender: [email-masked]

I'm afraid the agenda for the Paris meeting isn't complete yet (or at  
least I think it isn't) but here's what I've got so far:

20 min -- Issues remaining with IMAPABNF  
(draft-melnikov-imap-ext-abnf-02.txt)
  - use of common syntax for all extension elements
  - which extended commands should be listed (suggestion to add CREATE and  
maybe ESEARCH response)
  - discussion about wording requirements on future documents
20 min -- Issues remaining with ListExt
- quick review of LIST-EXTENDED extensibility
- interaction of REMOTE with RECURSIVEMATCH
- are there any other issues that need to be addressed?

If there are any additions, Pete will have to submit to [email-masked]  
because i'm about to go on vacation (in Paris, naturally) until Jul 31.

thx,
Lisa

Content-class: urn:content-classes:message
Subject: =?iso-8859-1?Q?RE=3A_Friends_of_IMAP_Dinner_at_the_=CElot_Vache__Thursday?= =?iso-8859-1?Q?_evening=3F?=
Date: Mon, 18 Jul 2005 10:47:00 -0500
From: <[email-masked]>
To: <[email-masked]>, <[email-masked]>
Sender: [email-masked]

I'll be there as well.

Corby Wilson

 

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]] On Behalf Of ext 
> Arnt Gulbrandsen
> Sent: Friday, July 15, 2005 06:59 AM
> To: [email-masked]
> Subject: Re: Friends of IMAP Dinner at the Îlot Vache 
> Thursday evening?
> 
> 
> Philip Guenther writes:
> > Barry Leiba <[email-masked]> writes:
> >> I'm coming, and I'm in -- Thursday night sounds good. How 
> 'bout the 
> >> rest of y'all? Alexey? Lisa? Who else?
> >
> > Works for me. Does that work for you, Arnt?
> 
> We have about seven or eight people so far. I've reserved a table for 
> «up to 12», and I promised to pop in a few days before and give them 
> the correct number.
> 
> Arnt
> 
> 

Date: Fri, 15 Jul 2005 08:58:16 -0800
From: Mark Crispin <[email-masked]>
To: Terry Gray <[email-masked]>
cc: Cyrus Daboo <[email-masked]>, IETF IMAP Extensions WG <[email-masked]>
Subject: Re: =?UTF-8?Q?Re:_Friends_of_IMAP_Dinner_at_the_=C3=8Elot_Vache__Thursda?= =?UTF-8?Q?y_evening=3F?=
Organization: Networks & Distributed Computing
Sender: [email-masked]

On Fri, 15 Jul 2005, Terry Gray wrote:
>> Do they do take out? If so I would like to place my order now and then
>> participate from Pittsburgh via Jabber :-)
> Me too... except "Seattle" rather than "Pittsburgh", of course :)

Me three, except "Alaska"... :-)

-- Mark --

http://staff.washington.edu/mrc
Science does not emerge from voting, party politics, or public debate.
Si vis pacem, para bellum.

Date: Fri, 15 Jul 2005 08:26:42 -0700 (Pacific Standard Time)
From: Terry Gray <[email-masked]>
To: Cyrus Daboo <[email-masked]>
cc: IETF IMAP Extensions WG <[email-masked]>
Subject: Re: =?UTF-8?Q?Re:_Friends_of_IMAP_Dinner_at_the_=C3=8Elot_Vache__Thursda?= =?UTF-8?Q?y_evening=3F?=
Slogan: "Pandora and I are on a first-name basis."
Organization: University of Washington;  Computing & Communications
Sender: [email-masked]

> Do they do take out? If so I would like to place my order now and then
> participate from Pittsburgh via Jabber :-)

Me too... except "Seattle" rather than "Pittsburgh", of course :)

-teg

Date: Fri, 15 Jul 2005 09:37:35 -0400
From: Cyrus Daboo <[email-masked]>
To: Arnt Gulbrandsen <[email-masked]>, [email-masked]
Subject: =?UTF-8?Q?Re:_Friends_of_IMAP_Dinner_at_the_=C3=8Elot_Vache__Thursda?= =?UTF-8?Q?y_evening=3F?=
Sender: [email-masked]

Hi Arnt,

--On July 15, 2005 12:58:48 PM +0200 Arnt Gulbrandsen 
<[email-masked]> wrote:

>> Works for me. Does that work for you, Arnt?
>
> We have about seven or eight people so far. I've reserved a table for
> Â«up to 12Â», and I promised to pop in a few days before and give them
> the correct number.

Do they do take out? If so I would like to place my order now and then 
participate from Pittsburgh via Jabber :-)

-- 
Cyrus Daboo

Date: Fri, 15 Jul 2005 12:58:48 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Re: Friends of IMAP Dinner at the =?iso-8859-1?q?=CElot?= Vache Thursday evening?
Sender: [email-masked]

Philip Guenther writes:
> Barry Leiba <[email-masked]> writes:
>> I'm coming, and I'm in -- Thursday night sounds good. How 'bout the 
>> rest of y'all? Alexey? Lisa? Who else?
>
> Works for me. Does that work for you, Arnt?

We have about seven or eight people so far. I've reserved a table for 
«up to 12», and I promised to pop in a few days before and give them 
the correct number.

Arnt

Date: Fri, 15 Jul 2005 12:10:49 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Re: Friends of IMAP Dinner at the =?iso-8859-1?q?=CElo?= Vache Thursday evening?
Cc: Dave Cridland <[email-masked]>
Sender: [email-masked]

Dave Cridland writes:
> On Mon Jul 11 11:48:07 2005, Arnt Gulbrandsen wrote:
>> who's coming to the IETF?
>
> Me.

Oh, fine. (Isnt't it lovely to have an IETF outside Festung Amerika? ;)

>>  Who wants to come?
>
> Me, too.

Makes seven so far, I think? FYI, if noone protests strenumously, my 
wife comes too. She's a tech, but not an IMAP-head... except insofar as 
listening to years of me... well... *blush*

Arnt

Date: Fri, 15 Jul 2005 10:04:40 +0100
Subject: Re: Friends of IMAP Dinner at the =?ISO-8859-1?B?zmxv?= Vache Thursday evening?
From: Dave Cridland <[email-masked]>
To: Arnt Gulbrandsen <[email-masked]>
Cc: <[email-masked]>
Sender: [email-masked]

On Mon Jul 11 11:48:07 2005, Arnt Gulbrandsen wrote:
> who's coming to the IETF?

Me.

>  Who wants to come?

Me, too.

Dave.

To: Barry Leiba <[email-masked]>
Cc: [email-masked], Arnt Gulbrandsen <[email-masked]>
Subject: Re: Friends of IMAP Dinner at the =?ISO-8859-1?Q?=CElot_Vache_?= =?ISO-8859-1?Q?Thursday__evening=3F?= 
Date: Thu, 14 Jul 2005 21:15:24 -0700
From: Philip Guenther <[email-masked]>
Sender: [email-masked]

Barry Leiba <[email-masked]> writes:
>I'm coming, and I'm in -- Thursday night sounds good.
>How 'bout the rest of y'all?  Alexey?  Lisa?  Who else?

Works for me.  Does that work for you, Arnt?

Philip Guenther

Date: Thu, 14 Jul 2005 23:47:23 -0400
From: Tony Hansen <[email-masked]>
CC: [email-masked]
Subject: Re: Friends of IMAP Dinner at the =?ISO-8859-1?Q?=CElot_Vache_?= =?ISO-8859-1?Q?Thursday__evening=3F?=
Sender: [email-masked]

I'm in!

Barry Leiba wrote:
> 
> I'm coming, and I'm in -- Thursday night sounds good.
> How 'bout the rest of y'all?  Alexey?  Lisa?  Who else?

Date: Thu, 14 Jul 2005 22:45:57 -0400
From: Barry Leiba <[email-masked]>
To: [email-masked]
CC: Arnt Gulbrandsen <[email-masked]>
Subject: Re: Friends of IMAP Dinner at the =?ISO-8859-1?Q?=CElot_Vache_?= =?ISO-8859-1?Q?Thursday__evening=3F?=
Sender: [email-masked]

I'm coming, and I'm in -- Thursday night sounds good.
How 'bout the rest of y'all?  Alexey?  Lisa?  Who else?

Barry

--
Barry Leiba, Pervasive Computing Technology  ([email-masked])
http://www.research.ibm.com/people/l/leiba
http://www.research.ibm.com/spam

To: [email-masked]
Cc: [email-masked]
From: [email-masked]
Subject: I-D ACTION:draft-ietf-imapext-i18n-05.txt 
Date: Thu, 14 Jul 2005 15:50:03 -0400
Sender: [email-masked]

--NextPart

A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Internet Message Access Protocol Extension Working Group of the IETF.

	Title		: Internet Message Access Protocol Internationalization
	Author(s)	: C. Newman, et al.
	Filename	: draft-ietf-imapext-i18n-05.txt
	Pages		: 16
	Date		: 2005-7-14
	
Internet Message Access Protocol (IMAP) version 4rev1 has basic
    support for non-ASCII characters in mailbox names and search
    substrings.  It also supports non-ASCII message headers and content
    encoded as specified by Multipurpose Internet Mail Extensions
    (MIME).  This specification defines a collection of IMAP extensions
    which improve international support including comparator negotiation
    for search, sort and thread, language negotiation for international
    error text, and translations for namespace prefixes.

A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-imapext-i18n-05.txt

To remove yourself from the I-D Announcement list, send a message to 
[email-masked] with the word unsubscribe in the body of the message.  
You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce 
to change your subscription settings.

Internet-Drafts are also available by anonymous FTP. Login with the username
"anonymous" and a password of your e-mail address. After logging in,
type "cd internet-drafts" and then
	"get draft-ietf-imapext-i18n-05.txt".

A list of Internet-Drafts directories can be found in
http://www.ietf.org/shadow.html 
or ftp://ftp.ietf.org/ietf/1shadow-sites.txt

Internet-Drafts can also be obtained by e-mail.

Send a message to:
	[email-masked].
In the body type:
	"FILE /internet-drafts/draft-ietf-imapext-i18n-05.txt".
	
NOTE:	The mail server at ietf.org can return the document in
	MIME-encoded form by using the "mpack" utility.  To use this
	feature, insert the command "ENCODING mime" before the "FILE"
	command.  To decode the response(s), you will need "munpack" or
	a MIME-compliant mail reader.  Different MIME-compliant mail readers
	exhibit different behavior, especially when dealing with
	"multipart" MIME messages (i.e. documents which have been split
	up into multiple messages), so check your local documentation on
	how to manipulate these messages.

Below is the data which will enable a MIME compliant mail reader
implementation to automatically retrieve the ASCII version of the
Internet-Draft.

--NextPart
Content-Type: Multipart/Alternative; Boundary="OtherAccess"

--OtherAccess
Content-Type: Message/External-body;
	access-type="mail-server";
	server="[email-masked]"

Content-Type: text/plain
Content-ID:	<[email-masked]>

ENCODING mime
FILE /internet-drafts/draft-ietf-imapext-i18n-05.txt

--OtherAccess
Content-Type: Message/External-body;
	name="draft-ietf-imapext-i18n-05.txt";
	site="ftp.ietf.org";
	access-type="anon-ftp";
	directory="internet-drafts"

Content-Type: text/plain
Content-ID:	<[email-masked]>

--OtherAccess--

--NextPart--

Date: Mon, 11 Jul 2005 14:35:57 +0100
Subject: Re: collation draft
From: Dave Cridland <[email-masked]>
To: Arnt Gulbrandsen <[email-masked]>
Cc: <[email-masked]>
Sender: [email-masked]

On Mon Jul 11 13:47:51 2005, Arnt Gulbrandsen wrote:
> The updated collation draft is there. Took a couple of iterations 
> to get it published. Let me know if there's anything you dislike.

Speaking in my capacity as probably the only active ACAP implementor 
left, which I appreciate is probably off-topic here...

Section 4.3, second para, last sentence:

"If both strings are invalid, the result SHOULD match the result from 
the "i;octet" collation." - this requirement break with ACAP, which 
for ordering has the option of using multiple comparators. 
Specifically, ACAP would want the both-strings-invalid case to return 
"0".

Many protocols probably will require a fallback collation, hence my 
feeling is that a protocol MUST specify whether a default/fallback 
collation is used, and, if so, how. (eg, IMAP might specify that the 
default collation is effectively i;ascii-numeric on the UID, ACAP 
specifies none.)

Section 4.3 also states that the ordering reverses completely with 
the "-" prefix - that's not quite the case in ACAP, but I can't 
decide whether that's the case here or not - with my background, I 
read ACAP-like behaviour into 4.3's second paragraph, where it talks 
of "end of the list", etc. In ACAP, the invalid values appear after 
valid values regardless of whether "-" or "+" has been used. It's 
possible to use this behaviour constructively, using:

COMPARESTRICT "attribute-name" "-i;ascii-numeric" "0"

to extract all values for an attribute which are non-numeric. This is 
bizarre, but possible.

Section 6: ACAP allows "i;octet" on any attribute value, which is 
simply a sequence of octets. It might be UTF-8, it might be 
image/gif, there's no way to know for sure. So while the sentence 
"These protocols allow..." is technically correct, it's not the whole 
picture. Some note indicating ACAP uses special handling for 
multi-valued attributes might be in order.

Misc:

There's no mention of how to handle missing values, either. ACAP uses 
NIL extensively, and there are probably other application protocols 
that might. Certainly if an RDBMS picked this concept up, then this 
would be important to handle correctly. I would most prefer to see an 
"either NIL/NULL is special, or else it is equivalent to the empty 
string" rule in place.

Dave.

Date: Mon, 11 Jul 2005 14:23:57 +0100
From: Alexey Melnikov <[email-masked]>
To: IMAP Extensions WG <[email-masked]>
Subject: Suggested agenda items
Sender: [email-masked]

Hi everyone,
Below I list some potential discussion topics for the IMAPEXT meeting in 
Paris.

20 min -- Issues remaining with IMAPABNF 
(draft-melnikov-imap-ext-abnf-02.txt)
  - use of common syntax for all extension elements
  - which extended commands should be listed (suggestion to add CREATE 
and maybe ESEARCH response)
  - discussion about wording requirements on future documents
20 min -- Issues remaining with ListExt
 - quick review of LIST-EXTENDED extensibility
 - interaction of REMOTE with RECURSIVEMATCH
 - are there any other issues that need to be addressed?

Cheers,
Alexey

Date: Mon, 11 Jul 2005 14:47:51 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: collation draft
Sender: [email-masked]

The updated collation draft is there. Took a couple of iterations to get 
it published. Let me know if there's anything you dislike.

Fool that I am, I forgot to submit imapext-i18n at the same time. There 
are no substantive changes to the expired draft, though. Will submit it 
later today.

Arnt

Date: Mon, 11 Jul 2005 12:48:07 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Friends of IMAP Dinner at the =?iso-8859-1?q?=CElot?= Vache Thursday evening?
Sender: [email-masked]

Hi,

who's coming to the IETF? Who wants to come?

What I was told: «L'Îlot Vache is a fine restaurant, not expensive by 
Paris standards, not cheap by any standards, with enjoyable French food 
and a fine wine list.» It's located at the Île St. Louis, which is the 
smaller island just upstream from the Nôtre Dame.

Arnt

From: The IESG <[email-masked]>
To: IETF-Announce <[email-masked]>
Cc: Internet Architecture Board <[email-masked]>, RFC Editor <[email-masked]>, imapext mailing list <[email-masked]>, imapext chair <[email-masked]>, imapext chair <[email-masked]>
Subject: Protocol Action: 'IMAP4 ACL extension' to Proposed Standard 
Date: Thu, 07 Jul 2005 11:28:17 -0400
Sender: [email-masked]

The IESG has approved the following document:

- 'IMAP4 ACL extension '
   <draft-ietf-imapext-2086upd-08.txt> as a Proposed Standard

This document is the product of the Internet Message Access Protocol Extension Working Group. 

The IESG contact persons are Scott Hollenbeck and Ted Hardie.

A URL of this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-ietf-imapext-2086upd-08.txt

Technical Summary
 
The ACL (Access Control List) extension (RFC 2086) of the Internet
Message Access Protocol (IMAP) permits mailbox access control
lists to be retrieved and manipulated through the IMAP protocol.
This document is a revision of RFC 2086. It defines several new
access control rights and clarifies which rights are required for
different IMAP commands.
 
Working Group Summary
 
The document has been reviewed by key working group members and
implementers.  Consensus was reached, and there are no known
issues risking appeal.
 
Protocol Quality
 
Scott Hollenbeck has reviewed this specification for the IESG.

Date: Thu, 07 Jul 2005 15:17:32 +0100
From: Alexey Melnikov <[email-masked]>
To: Philip Guenther <[email-masked]>
CC: IMAP Extensions WG <[email-masked]>
Subject: Re: comments on IMAP-ABNF extensions draft -02
Sender: [email-masked]

Philip Guenther wrote:

>     tagged-ext      = atom SP tagged-ext-val
>                         ;; recommended overarching syntax for
>                         ;; extensions
>
>     tagged-ext-val  = astring /
>                       "(" tagged-ext-val *(SP tagged-ext-val) ")"
>                         ;; extensions that follow this general syntax
>                         ;; should use nstring instead of astring when
>                         ;; appropriate in the context of the extension
><< or should this just say astring / nstring / "(" ...? >>

IMHO, I prefer your comment about astring versa nstring.

>The key difference between this and the current draft is that where this
>syntax permits something beyond RFC 3501, it's because of (and tied to)
>a previously published extension, period.  There's no need of a "MUST be
>rejected with a BAD" clause for unknown extensions, because they don't
>match the syntax, period.
>
>IMHO, the tagged-ext syntax (or something similarly simple) is Good
>Enough to be referenced by FETCH, STORE, SELECT, and SEARCH too.
>
(After thinking more about this.)

The syntax for SELECT was previously defined in ANNOTATE. It is more
restrictive than the syntax used for STORE/SEARCH, but it is a proper
subset of the latter. As ANNOTATE haven't been published yet, I suggest
to use the same syntax for SELECT, STORE and SEARCH.

The syntax for FETCH modifiers was originally defined in CONDSTORE. It
uses pretty much the same syntax as STORE/SEARCH parameters, except for
not allowing for empty "()". So using the same syntax for FETCH
modifiers, as used for STORE/SEARCH parameters shouldn't be a problem
either.

So, in short I support Philip's suggestion to use the same syntax for
all extension parameters. Thoughts?

>It certainly appears to cover the already scoped extensions for CONDSTORE,
>ANNOTATE, and several others. Using a single syntax for extensions to
>commands would make the syntax part of this draft easier to read.  If it
>*isn't* sufficient, then I suspect the Right Thing might be to simply
>say that extensions should consist of a atom as a tag, followed by
>exactly one argument with balanced parenthesis.

Date: Thu, 07 Jul 2005 14:55:28 +0100
From: Alexey Melnikov <[email-masked]>
To: Philip Guenther <[email-masked]>
CC: IMAP Extensions WG <[email-masked]>
Subject: Re: comments on IMAP-ABNF extensions draft -02
Sender: [email-masked]

Philip Guenther wrote:

>On the issue of what this draft should include to make future extensions
>easier to express: it seems unfortunate that RFC 3501's response-data
>rule includes the leading "*" SP and the trailing CRLF, such that
>extensions like ANNOTATEMORE have to duplicate them, ala:
>
>       annotate-data     = "ANNOTATION" SP mailbox SP entry-list
>                           ; empty string for mailbox implies
>                           ; server annotation.
>...
>       response-data     /= "*" SP annotate-data CRLF
>                           ; adds to original IMAP data responses
>
>instead of just
>
>       response-foo      /= "ANNOTATION" SP mailbox SP entry-list
>                           ; empty string for mailbox implies
>                           ; server annotation.
>
>RFC 3501 got it right with resp-text-code; can this draft fix things for
>response-data?  Perhaps:
>
>   response-data = "*" SP resp-data CRLF
>   resp-data     = resp-cond-state / resp-cond-bye / mailbox-data /
>		   message-data / capability-data
>  
>
FYI, I've just made the change you proposed. I've used 
"response-payload" instead of "resp-data".

>Okay, so that's not the greatest pair of names for rules, but you get
>the point.
>
>  
>

Date: Mon, 04 Jul 2005 17:02:34 +0100
From: Alexey Melnikov <[email-masked]>
To: Barry Leiba <[email-masked]>
CC: IMAP WG <[email-masked]>
Subject: LIST-EXTENDED
Sender: [email-masked]

Barry Leiba wrote:

>> just  need revised versions of ListExt and Annotate based on last calls
>
> Yep.  I just have a couple of editorial things from Alexey to put in 
> and I'll be ready for a final (one hopes) cycle on ListExt.  I'll see 
> if I can get that in over the weekend.  The only thing that didn't get 
> resolved was the question of extending the syntax, and since there 
> wasn't a groundswell of support for it I won't make that change.

Should I (or someone else) write a draft that shows how such extension 
to LIST-EXTENDED look like? Seeing such extension should insure that we 
don't have to make incompatible changes to LIST-EXTENDED in the future, 
even if we don't want to extend its syntax to include option parameters now.

Date: Mon, 04 Jul 2005 11:11:05 +0100
From: Alexey Melnikov <[email-masked]>
To: Lisa Dusseault <[email-masked]>
CC: IMAP WG <[email-masked]>
Subject: Re: Status of 2086upd
Sender: [email-masked]

Lisa Dusseault wrote:

>
> Looks like our IESG DISCUSS flags have been cleared, so the 08 version 
> of  2086upd draft is now going to go through the final RFC editing and 
> number  assignment phases.
>
> What's the next document for us to get through?  Have people read the  
> Comparator draft that everything's held up on?  Arnt, got any news for 
> us  on that one?
>
> Remember that the deadlines for revised I-Ds are mid-July.  Don't we 
> just  need revised versions of ListExt and Annotate based on last 
> calls done  this spring, that we can send to IESG?

We might need another Last Call for Annotate, because the list of 
changes was huge.

From: "Scott Hollenbeck" <[email-masked]>
To: "'Lisa Dusseault'" <[email-masked]>, "'IMAP WG'" <[email-masked]>
Subject: RE: Status of 2086upd
Date: Fri, 1 Jul 2005 20:10:54 -0400
Sender: [email-masked]

> -----Original Message-----
> From: Lisa Dusseault [mailto:[email-masked]] 
> Sent: Friday, July 01, 2005 4:07 PM
> To: IMAP WG
> Subject: Status of 2086upd
> 
> 
> Looks like our IESG DISCUSS flags have been cleared, so the 
> 08 version of  
> 2086upd draft is now going to go through the final RFC 
> editing and number  
> assignment phases.

I just approved the document and requested that the Secretariat send the
approval announcement.

-Scott-

Date: Fri, 01 Jul 2005 17:34:26 -0400
From: Barry Leiba <[email-masked]>
To: IMAP WG <[email-masked]>
Subject: Re: Status of 2086upd
Sender: [email-masked]

> just  need revised versions of ListExt and Annotate based on last calls

Yep.  I just have a couple of editorial things from Alexey to put in and 
I'll be ready for a final (one hopes) cycle on ListExt.  I'll see if I 
can get that in over the weekend.  The only thing that didn't get 
resolved was the question of extending the syntax, and since there 
wasn't a groundswell of support for it I won't make that change.

Barry

--
Barry Leiba, Pervasive Computing Technology  ([email-masked])
http://www.research.ibm.com/people/l/leiba
http://www.research.ibm.com/spam

Date: Fri, 1 Jul 2005 23:01:44 +0200
From: Arnt Gulbrandsen <[email-masked]>
To: [email-masked]
Subject: Re: Status of 2086upd
Sender: [email-masked]

Lisa Dusseault writes:
> Have people read the  Comparator draft that everything's held up on?  
> Arnt, got any news for us  on that one?

I did all the things I know about today (three days late, I know, very 
sorry) but I'm drop dead tired. Will submit an updatred draft when I'm 
awake and alert enough to read my diffs.

Arnt

Date: Fri, 01 Jul 2005 13:07:01 -0700
To: "IMAP WG" <[email-masked]>
Subject: Status of 2086upd
From: "Lisa Dusseault" <[email-masked]>
Organization: OSAF
Sender: [email-masked]

Looks like our IESG DISCUSS flags have been cleared, so the 08 version of  
2086upd draft is now going to go through the final RFC editing and number  
assignment phases.

What's the next document for us to get through?  Have people read the  
Comparator draft that everything's held up on?  Arnt, got any news for us  
on that one?

Remember that the deadlines for revised I-Ds are mid-July.  Don't we just  
need revised versions of ListExt and Annotate based on last calls done  
this spring, that we can send to IESG?

Lisa

-- 
Using Opera's revolutionary e-mail client: http://www.opera.com/mail/